DRM_PRIME_SG_TO_PAGE(9)

NAME
drm_prime_sg_to_page_addr_arrays - convert an sg table into a page array

SYNOPSIS

int drm_prime_sg_to_page_addr_arrays(struct sg_table * sgt, struct page ** pages, dma_addr_t * addrs, int max_pages);

ARGUMENTS

sgt
    scatter-gather table to convert

pages
    array of page pointers to store the page array in

addrs
    optional array to store the dma bus address of each page

max_pages
    size of both the passed-in arrays

DESCRIPTION

Exports an sg table into an array of pages and addresses. This is currently required by the TTM driver in order to do correct fault handling.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT